%define pypi_name multiprocess

Name:           python-%{pypi_name}
Version:        0.70.17
Release:        %mkrel 2
Summary:        Better multiprocessing and multithreading in python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/multiprocess/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
multiprocessing is a package for the Python language which supports the
spawning of processes using the API of the standard library’s threading module.
multiprocessing has been distributed in the standard library since python 2.6.

%package -n     python3-%{pypi_name}
Summary:        Better multiprocessing and multithreading in python
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-testsuite
BuildRequires:  python3dist(pytest)
BuildRequires:  pyproject-rpm-macros

%description -n python3-%{pypi_name}
multiprocessing is a package for the Python language which supports the
spawning of processes using the API of the standard library’s threading module.
multiprocessing has been distributed in the standard library since python 2.6.

%prep
%autosetup -n multiprocess-%{version}
rm -rf multiprocess.egg-info

# Fix wrong end of file encoding
find py%{python3_version}/doc/ -name "*" -exec sed -i 's/\r$//' '{}' \;
find py%{python3_version}/examples/ -name "*" -exec sed -i 's/\r$//' '{}' \;

# remove shebang
sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' py%{python3_version}/multiprocess/tests/__main__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files multiprocess _multiprocess

%check
export PYTHONPATH="$RPM_BUILD_ROOT/%{python3_sitearch}/:$RPM_BUILD_ROOT/%{python3_sitelib}/:."
pushd py%{python3_version}
# https://github.com/uqfoundation/multiprocess/blob/master/.travis.yml#L67
for test in multiprocess/tests/__init__.py; do echo $test ; %{__python3} $test > /dev/null; done
# These do not run properly in the build root: it cannot find the installed version even after PYTHONPATH is set
#for test in multiprocess/tests/*.py; do if [[ $test != *"__"* && $test != *"mp_"*  ]]; then echo $test ; %%{__python3} $test > /dev/null; fi; done
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md LICENSE COPYING


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.70.17-2.mga10
+ Revision: 2241673
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 papoteur <papoteur> 0.70.17-1.mga10
+ Revision: 2158950
- new version 0.70.17 for python 3.13
+ wally <wally>
- rebuild for python3.13

* Mon Feb 26 2024 daviddavid <daviddavid> 0.70.16-1.mga10
+ Revision: 2044324
- new version: 0.70.16
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 0.70.15-1.mga10
+ Revision: 1988349
- new 0.70.15

* Wed Jan 25 2023 guillomovitch <guillomovitch> 0.70.14-1.mga9
+ Revision: 1936044
- new version 0.70.14

* Sun Oct 30 2022 guillomovitch <guillomovitch> 0.70.13-1.mga9
+ Revision: 1900161
- new version 0.70.13

* Wed Mar 23 2022 umeabot <umeabot> 0.70.12.2-3.mga9
+ Revision: 1823560
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.70.12.2-2.mga9
+ Revision: 1783722
- rebuild for python-3.10

* Sat Sep 25 2021 guillomovitch <guillomovitch> 0.70.12.2-1.mga9
+ Revision: 1746375
- new version 0.70.12.2

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.70.11.1-1.mga9
+ Revision: 1705128
- new version 0.70.11.1

* Thu Jul 23 2020 ovitters <ovitters> 0.70.8-4.mga8
+ Revision: 1608284
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.70.8-3.mga8
+ Revision: 1533045
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.70.8-2.mga8
+ Revision: 1443252
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.70.8-1.mga8
+ Revision: 1417109
- imported package python-multiprocess

